✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/gift-cards/offers/{giftCardOffer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"gift_card_id": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"stock": 123,
"gift_card": {
"id": 123,
"region_id": 123,
"brand_id": 123,
"region": {
"id": 123,
"code": "<string>",
"name": "<string>",
"slug": "<string>",
"is_country": true
},
"brand": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"face_value_unit_slug": "<string>",
"lowest_price_eur": "<string>",
"lowest_price_usd": "<string>",
"highest_price_eur": "<string>",
"highest_price_usd": "<string>",
"is_enabled": true,
"created_at": 123,
"updated_at": 123
},
"created_at": 123,
"updated_at": 123
}
}Retrieve detailed information about a specific gift card offer.
curl --request GET \
--url https://api.gameboost.com/v2/gift-cards/offers/{giftCardOffer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"gift_card_id": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"stock": 123,
"gift_card": {
"id": 123,
"region_id": 123,
"brand_id": 123,
"region": {
"id": 123,
"code": "<string>",
"name": "<string>",
"slug": "<string>",
"is_country": true
},
"brand": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"face_value_unit_slug": "<string>",
"lowest_price_eur": "<string>",
"lowest_price_usd": "<string>",
"highest_price_eur": "<string>",
"highest_price_usd": "<string>",
"is_enabled": true,
"created_at": 123,
"updated_at": 123
},
"created_at": 123,
"updated_at": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A single gift card offer
Gift card offer object representing a gift card listing for sale
Show child attributes
Was this page helpful?